JavaDebugOptions (Gradle API 7.6.3)

Package org.gradle.process

## Interface JavaDebugOptions

-     public interface JavaDebugOptions

  Contains a subset of the Java Debug Wire Protocol properties.
  Since:
    5.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.Boolean>` | `getEnabled()` | Whether to attach a debug agent to the forked process.
    `Property<java.lang.String>` | `getHost()` | Host address to listen on or connect to when debug is enabled.
    `Property<java.lang.Integer>` | `getPort()` | The debug port.
    `Property<java.lang.Boolean>` | `getServer()` | Whether a socket-attach or a socket-listen type of debugger is expected.
    `Property<java.lang.Boolean>` | `getSuspend()` | Whether the forked process should be suspended until the connection to the debugger is established.

- - ### Method Detail

    - #### getEnabled

          @Input
          Property<java.lang.Boolean> getEnabled()

      Whether to attach a debug agent to the forked process.

    - #### getHost

          @Incubating
          @Optional
          @Input
          Property<java.lang.String> getHost()

      Host address to listen on or connect to when debug is enabled. In the server mode on Java 9 and above, passing `*` for the host will make the server listen on all network interfaces. By default, no host address is passed to JDWP, so on Java 9 and above, the loopback address is used, while earlier versions listen on all interfaces.
      Since:
        7.6

    - #### getPort

          @Input
          Property<java.lang.Integer> getPort()

      The debug port.

    - #### getServer

          @Input
          Property<java.lang.Boolean> getServer()

      Whether a socket-attach or a socket-listen type of debugger is expected.

      In socked-attach mode (server = true) the process actively waits for the debugger to connect after the JVM starts up. In socket-listen mode (server = false), the debugger should be already running before startup waiting for the JVM connecting to it.

      Returns:
        Whether the process actively waits for the debugger to be attached.

    - #### getSuspend

          @Input
          Property<java.lang.Boolean> getSuspend()

      Whether the forked process should be suspended until the connection to the debugger is established.